Subject: bug#9873: 24.0.90; dired - window changes size when trying to delete more than one file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Oct 2011 06:23:29 -0400

> Date: Thu, 27 Oct 2011 11:51:12 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  > Well, how about explaining why this variable was introduced, for
>  > starters?  What problem(s) did its introduction try to solve?
> 
> Its introduction modifies the behavior of splitting, resizing and
> deleting windows in the order described in the example in the manual.

I understand that it affects resizing (by changing which other window
is resized as side effect of changing the size of the window we want
to resize), and deleting (by controlling which window will be given
the space released by the deleted one).  But what is modified in the
behavior of splitting?

>  > Sorry, I don't get the drift.  What do you mean by "resizing W"? how
>  > can one resize "a vertical combination" of 2 or 3 windows, which AFAIU
>  > is just a node in the window tree, not a live window that is displayed
>  > on a frame?
> 
> You won't get the drift as long as you insist that an internal window is
> "just a node in the window tree".

What I mean is that the user have no way of resizing the internal
windows, only the live windows, AFAIK.

A Lisp program can resize an internal window, but doing so is
precisely equivalent to resizing one of the live windows on the same
frame (again, AFAIK).

When you talk about resizing a live window, I understand exactly what
is meant.  If by "vertical combination" you mean the internal window
that is the parent of 2 or more live windows, I can understand that as
well, assuming that you are talking about a Lisp program.

If you mean anything else, please explain what I am missing.

>  > I mean, I can resize W1, W2, or W3, but how do I resize
>  > their combination?
> 
> By resizing their parent window or a sibling of their parent window.  Or
> by resizing the containing frame.  Or by resizing the minibuffer window.

Some of these are unavailable to users.  We were talking about a user
option.